Generate Cio Report
curl --request POST \
--url https://api.chicago.global/v1/cio-report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"portfolio": [
{
"date": "2024-01-01",
"symbol": "AAPL",
"weight": 0.25
}
],
"start_date": "2024-01-01",
"end_date": "2024-12-31",
"base_currency": "USD",
"initial_value": 10000,
"benchmark": "ACWI.OQ",
"format": "pdf"
}
'import requests
url = "https://api.chicago.global/v1/cio-report"
payload = {
"portfolio": [
{
"date": "2024-01-01",
"symbol": "AAPL",
"weight": 0.25
}
],
"start_date": "2024-01-01",
"end_date": "2024-12-31",
"base_currency": "USD",
"initial_value": 10000,
"benchmark": "ACWI.OQ",
"format": "pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
portfolio: [{date: '2024-01-01', symbol: 'AAPL', weight: 0.25}],
start_date: '2024-01-01',
end_date: '2024-12-31',
base_currency: 'USD',
initial_value: 10000,
benchmark: 'ACWI.OQ',
format: 'pdf'
})
};
fetch('https://api.chicago.global/v1/cio-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Portfolio Analysis
Generate CIO Report
Generate a Chief Investment Officer report (ASYNC - returns job_id immediately).
POST
/
v1
/
cio-report
Generate Cio Report
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request model for CIO report generation
List of portfolio holdings with dates and weights
Show child attributes
Show child attributes
Analysis start date in YYYY-MM-DD format
Example:
"2024-01-01"
Analysis end date in YYYY-MM-DD format
Example:
"2024-12-31"
Base currency for portfolio
Example:
"USD"
Initial portfolio value in base currency
Example:
10000
Benchmark for comparison
Example:
"ACWI.OQ"
Output format: html, pdf, or both
Available options:
html, pdf, both Response
Successful Response
Last modified on September 21, 2026
⌘I